Ticket #4385 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

PostgreSQL環境でコミュニティ最新書込み一覧が表示不具合の修正

Reported by: pnetan Assigned to: imamura623
Priority: major Milestone: OpenPNE2.14.4
Component: pne-postgresql Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.17 Cc:

Description (Last modified by imamura623)

■現象

PostgreSQL環境でコミュニティ最新書込み一覧ページにアクセスした際に、一覧が表示されない

■原因

条件句がPostgreSQLで読み込まれなかった

■修正内容

PostgreSQL、mysql4.0、mysql4.1以上で条件句が正しく読まれるように修正した。("1"だったものを"0=0"とした)

■関連情報

報告元 http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=22948 より転記

以下でも話題にあげましたが、
http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_...

OpenPNE v2.12.11 + PHP5.2.6 + PostgreSQL8.1.11
OpenPNE v2.14.3 + PHP5.2.11 + PostgreSQL8.2.14
にて出た症状です。

「コミュニティ最新書き込み」
/?m=pc&a=page_h_com_topic_find_all
にて、
PostgreSQLでの環境で表示すると、
「該当するトピックはありません。」と出て一覧になにも表示されません。

PostgreSQL上で
「ERROR: argument of AND must be type boolean, not type integer」
のエラーが出ていた為、

/webapp/lib/db/commu.php
3442行目を以下に書き換えることで正常に一覧表示されました。

$where = ' WHERE 1';
↓
$where = ' WHERE true'; 

Change History

01/05/10 15:22:00 changed by pnetan

  • type changed from enhancement to defect.

01/15/10 15:32:50 changed by imamura623

  • owner changed from nobody to imamura623.
  • status changed from new to assigned.

修正方法も示されているので対応します。

01/19/10 20:02:08 changed by imamura623

  • keywords changed from OpenPNE2.12.17 to OpenPNE2.12.17 確認中.

修正しました。

  • r13246 でtrunkにコミット
  • r13247 でstable-2.14xにコミット
  • r13248 でstable-2.12xにコミット

(follow-up: ↓ 5 ) 01/21/10 14:14:56 changed by itoda

確認しました。
正常に表示されました。

(in reply to: ↑ 4 ) 01/21/10 14:48:22 changed by itoda

確認しました。
2.14x,2.12xどちらも問題ありませんでした。

01/25/10 18:16:51 changed by kawahara

コードチェックします

01/26/10 19:18:35 changed by kawahara

  • keywords changed from OpenPNE2.12.17 確認中 to OpenPNE2.12.17 差し戻し.

差し戻しです。

MySQL4.0環境では true では動作しないようです。 0 = 0のようにしてみてはどうでしょうか?

01/27/10 00:40:04 changed by imamura623

  • keywords changed from OpenPNE2.12.17 差し戻し to OpenPNE2.12.17 確認中.

修正しました。

  • r13296 でtrunkにコミット
  • r13295 でstable-2.14xにコミット
  • r13297 でstable-2.12xにコミット

01/27/10 13:49:22 changed by kawahara

  • keywords changed from OpenPNE2.12.17 確認中 to OpenPNE2.12.17 テスト待ち.

問題ないと判断します。

01/27/10 17:44:29 changed by itoda

  • keywords changed from OpenPNE2.12.17 テスト待ち to OpenPNE2.12.17 差し戻し.

確認しました。
動作は問題ありませんでしたが、Descriptionに修正内容がありません。

01/27/10 18:05:29 changed by imamura623

  • keywords changed from OpenPNE2.12.17 差し戻し to OpenPNE2.12.17.
  • description changed.
  • summary changed from PostgreSQL環境でコミュニティ最新書込み一覧が表示されない to PostgreSQL環境でコミュニティ最新書込み一覧が表示不具合の修正.

01/27/10 18:08:49 changed by itoda

  • keywords deleted.

Descriptionに修正内容が書かれていることを確認しました。

01/27/10 18:19:09 changed by itoda

  • status changed from assigned to closed.
  • resolution set to fixed.

01/28/10 19:27:13 changed by imamura623

  • keywords set to OpenPNE2.12.17.